PUBLIC-INBOX-MDA(1)

NAME
public-inbox-mda - mail delivery agent for public-inbox

SYNOPSIS
  public-inbox-mda </path/to/RFC2822_message

DESCRIPTION
Mail Delivery Agent (MDA) for public-inbox installations. Each system user may have their own public-inbox instances. This may be invoked via procmail(1) or similar tools.

By default, it relies on spamc(1) for filtering mail, but may be disabled via "publicinboxmda.spamcheck" in public-inbox-config(5)

OPTIONS

--no-precheck
    By default, public-inbox-mda does some simple checks before invoking spamc(1) since it is intended to receive mail before it goes to a mailing list.

    However, some users prefer to use public-inbox-mda to mirror mailing lists. This option exists to support those users.

    Using this option, the following prechecks are disabled:

      * multiple Message-IDs
      * non-existent Message-IDs
      * Message-IDs longer than 244 characters long
      * From: header shorter than 3 characters
      * Subject: header shorter than 2 characters
      * unusable Date: headers
      * inbox address specified in To: or Cc: header

ENVIRONMENT

ORIGINAL_RECIPIENT
    The original recipient email address, set by the MTA. Postfix sets it by default, untested on other MTAs.

    This does not have to be set if relying on "publicinbox.$NAME.listid" directives configured in public-inbox-config(5).

PI_CONFIG
    Per-user config file parseable by git-config(1). See public-inbox-config(5).

    Default: ~/.public-inbox/config

PI_EMERGENCY
    emergency Maildir destination.

    Default: ~/.public-inbox/emergency/

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2013-2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
git(1), git-config(1), public-inbox-v1-format(5)